Package org.apache.tapestry5.http.services

# Interface RequestGlobals

All Known Implementing Classes:
  `RequestGlobalsImpl`

public interface RequestGlobals
Service used to store the current request objects, both the Servlet API versions, and the Tapestry generic versions. The service has a per-thread scope.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivePageName()`
  Returns the active page name previously stored.
  `javax.servlet.http.HttpServletRequest`
  `getHTTPServletRequest()`
  The Servlet API Request.
  `javax.servlet.http.HttpServletResponse`
  `getHTTPServletResponse()`
  `Request`
  `getRequest()`
  The current request.
  `Response`
  `getResponse()`
  The current response.
  `void`
  `storeActivePageName(String pageName)`
  Stores the canonicalized name of the active page for this request.
  `void`
  `storeRequestResponse(Request request, Response response)`
  `void`
  `storeServletRequestResponse(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
  Stores the servlet API request and response objects, for access via the properties.

- ## Method Details

  - ### storeServletRequestResponse

    void storeServletRequestResponse(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)
    Stores the servlet API request and response objects, for access via the properties.

  - ### getHTTPServletRequest

    javax.servlet.http.HttpServletRequest getHTTPServletRequest()
    The Servlet API Request. This is exposed as service HTTPServletRequest.

  - ### getHTTPServletResponse

    javax.servlet.http.HttpServletResponse getHTTPServletResponse()

  - ### storeRequestResponse

    void storeRequestResponse(Request request, Response response)

  - ### getRequest

    Request getRequest()
    The current request. This is exposed as service Request.

  - ### getResponse

    Response getResponse()
    The current response. This is exposed as service Response.

  - ### storeActivePageName

    void storeActivePageName(String pageName)
    Stores the canonicalized name of the active page for this request.
    Parameters:
      `pageName` - name of page (probably extracted from the URL)
    Since:
      5.2.0

  - ### getActivePageName

    String getActivePageName()
    Returns the active page name previously stored.
    Returns:
      canonicalized page name
    Since:
      5.2.0